package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.LbListenerModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 负载均衡-侦听器
 */
public interface ListenerProvider extends SuperProvider {
    /**
     * 侦听器列表
     *
     * @return
     */
    default BocloudResult list(String loadBalancerArn) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult create(LbListenerModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult delete(String listenerArn) {
        return new BocloudResult(false, "暂未开发！");
    }

}
